<?php
// $Id: cck_pager.api.php,v 1.1.2.2 2009/12/02 15:30:36 peximo Exp $

/**
 * @file
 * API documentation for CCK Pager.
 */

/**
 * Implementation of hook_cck_pager_alter().
 *
 * Alter pager elements before they are rendered.
 *
 * @param &$pager_items
 *   Array of pager elements to render.
 * @param $field
 *   The CCK field the pager is displayed for.
 * @param $num_pages
 *   Total number of pages.
 * @param $page
 *   Current page.
 * @param $pager_type
 *   0 for a full pager, 1 for a mini pager.
 */
function example_cck_pager_alter(&$pager_items, $field, $num_pages, $page, $pager_type) {
  foreach ($pager_items as $key => $item) {
    switch ($item['class']) {
      case 'pager-current':
        // Replace current page with text "Page X of Y".
        $pager_items[$key]['data'] = t('Page @page of @num_pages', array('@page' => $page + 1, '@num_pages' => $num_pages));
        break;
      case 'pager-ellipsis':
      case 'pager-item':
        // Remove all other linked items and ellipsis. This leaves only the
        // navigational elements prev, next, first, and last.
        unset($pager_items[$key]);
        break;
    }
  }
}
